/*
 * cal_meas.h
 *
 *  Created on: 2023年7月19日
 *      Author: dell
 */

#ifndef SRC_CAL_MEAS_H_
#define SRC_CAL_MEAS_H_

#include "sleep.h"
#include "stdio.h"
#include "xstatus.h"
#include "xgpiops.h"

#include "GPIO_Driv.h"
#include "CPLD_Con.h"

#define CPLD_SPI_WRITE 5
#define CPLD_SPI_READ 2
#define DC_CMD_LEN 6
#define Freq_CMD_LEN 7      //TODO: Update sw_config()!

int Command_Parser(u8 *recvbuffer, u8 len);
int DC_Control(u8* idata);
int CPLD_Write(u8 addr,u32 data);
int CPLD_exec();
void sw_config(char *slot_start);


#endif /* SRC_CAL_MEAS_H_ */
